## libsimpleini 4.17+dfsg

=== Makefile ===
CC=g++
CFLAGS=-Wall
CPPFLAGS=-Wall

OBJS=testsi.o test1.o snippets.o ConvertUTF.o

help:
	@echo This makefile is just for the test program \(use \"make clean all test\"\)
	@echo Just include the SimpleIni.h header file to use it.
	
all: $(OBJS)
	$(CC) -o testsi $(OBJS)

clean:
	rm -f core *.o testsi

data:
	sed 's/\r\n$$/\n/g' < test1-expected.ini > unix.out
	mv unix.out test1-expected.ini

test: testsi
	./testsi -u -m -l test1-input.ini > test1-blah.ini
	diff test1-output.ini test1-expected.ini

install:
	@echo No install required. Just include the SimpleIni.h header file to use it.

testsi.o test1.o snippets.o : SimpleIni.h

=== debian/changelog ===
libsimpleini (4.17+dfsg-6build2) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:39:51 +0100

libsimpleini (4.17+dfsg-6build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:42:53 +0100

libsimpleini (4.17+dfsg-6) unstable; urgency=medium

  * Add build libicu-dev for libsimpleini-dev
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Sat, 18 Jul 2020 00:41:12 +0800

libsimpleini (4.17+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against gcc 8.
  * debian/control: Remove myself from uploaders list.
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/rules: Use pkgkde-symbolshelper to handle symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Sep 2018 16:13:36 -0400

libsimpleini (4.17+dfsg-4) unstable; urgency=medium

  * Reconfirm symbols using buildd logs.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 11 May 2018 21:27:41 +0800

libsimpleini (4.17+dfsg-3) unstable; urgency=medium

  [ Yangfl ]
  * Update symbols (Closes: #884937)
  * d/patches: Refresh cmake buildsystem to use external version string.
  * d/control: Update Vcs url to point to Salsa platform.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 02 Feb 2018 22:25:15 +0800

libsimpleini (4.17+dfsg-2) unstable; urgency=medium

  [ Boyuan Yang ]
  * Mark packages as M-A: same.
  * Apply "wrap-and-sort -abst".

  [ Yangfl ]
  * Update symbols (Closes: #884937)

 -- Boyuan Yang <073plan@gmail.com>  Thu, 04 Jan 2018 16:57:50 +0800

libsimpleini (4.17+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #884277)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 13 Dec 2017 16:33:54 +0800

=== debian/control ===
Source: libsimpleini
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 pkg-kde-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/brofield/simpleini
Vcs-Git: https://salsa.debian.org/yangfl-guest/simpleini.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/simpleini

Package: libsimpleini-dev
Section: libdevel
Architecture: any
Depends:
 libicu-dev,
 libsimpleini1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: C++ library for INI-style configuration files (development files)
 A cross-platform library that provides a simple API to read and write
 INI-style configuration files. It supports data files in ASCII, MBCS and
 Unicode. It is designed explicitly to be portable to any platform and has been
 tested on Windows, WinCE and Linux.
 .
 This package contains the header files.

Package: libsimpleini1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: C++ library for INI-style configuration files
 A cross-platform library that provides a simple API to read and write
 INI-style configuration files. It supports data files in ASCII, MBCS and
 Unicode. It is designed explicitly to be portable to any platform and has been
 tested on Windows, WinCE and Linux.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/pkg-info.mk

export VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+[a-z]*//')


%:
	dh $@ --with pkgkde-symbolshelper

## libsimpleini 4.19+dfsg

=== Makefile ===
help:
	@echo This makefile is just for the test program \(use \"make clean all test\"\)
	@echo Just include the SimpleIni.h header file to use it.

install:
	@echo No install required. Just include the SimpleIni.h header file to use it.

TOPTARGETS := all clean test

SUBDIRS := tests

$(TOPTARGETS): $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

.PHONY: $(TOPTARGETS) $(SUBDIRS)

=== tests/Makefile ===
CC=g++
CFLAGS=-Wall -std=c++11
CPPFLAGS=-Wall -std=c++11
LDFLAGS=-lpthread -lgtest -lgtest_main -lpthread -L/usr/lib -L/usr/lib/x86_64-linux-gnu

OBJS=ts-roundtrip.o ts-snippets.o ts-utf8.o ts-bugfix.o ts-quotes.o ts-noconvert.o

BIN=./tests

all: $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LDFLAGS)

clean:
	rm -f core $(OBJS) $(BIN)

test: $(BIN)
	$(BIN)

$(OBJS): ../SimpleIni.h

=== debian/changelog ===
libsimpleini (4.19+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix cross misbuild: use correct multiarch libdir (Closes: #968223)
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Wed, 15 Jun 2022 14:49:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libsimpleini
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
+ pkg-config,
  libicu-dev,
  pkg-kde-tools,
+ libgtest-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/brofield/simpleini
 Vcs-Git: https://salsa.debian.org/yangfl-guest/simpleini.git

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND =
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
+export MULTIARCH = $(DEB_HOST_MULTIARCH)
 export VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+[a-z]*//')

## libsimpleini 4.20%2Bdfsg

=== debian/changelog ===
libsimpleini (4.20+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:58:43 +0000

libsimpleini (4.20+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062625

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 18:15:20 +0000

libsimpleini (4.20+dfsg-1) unstable; urgency=medium

  * New upstream release
    * Fix FTBFS with googletest 1.13.0 (Closes: #1041023)
  * Fix FTBFS with LTO (Closes: #1015524)
  * Bump Standards-Version to 4.6.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 15 Jul 2023 12:19:49 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libsimpleini
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  pkg-config,
  libicu-dev,
  pkg-kde-tools,
  libgtest-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/brofield/simpleini
 Vcs-Git: https://salsa.debian.org/yangfl-guest/simpleini.git
@@ -19,7 +20,7 @@
 Architecture: any
 Depends:
  libicu-dev,
- libsimpleini1 (= ${binary:Version}),
+ libsimpleini1t64 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: C++ library for INI-style configuration files (development files)
@@ -30,7 +31,10 @@
  .
  This package contains the header files.
 
-Package: libsimpleini1
+Package: libsimpleini1t64
+Provides: ${t64:Provides}
+Replaces: libsimpleini1
+Breaks: libsimpleini1 (<< ${source:Version})
 Architecture: any
 Depends:
  ${misc:Depends},

## libsimpleini 4.20+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(
	SimpleIni
	VERSION 4.20
	DESCRIPTION "Cross-platform C++ library providing a simple API to read and write INI-style configuration files"
	LANGUAGES CXX
)

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
	set(IS_TOPLEVEL_PROJECT TRUE)
else()
	set(IS_TOPLEVEL_PROJECT FALSE)
endif()

# Disable in-source builds:
get_filename_component(srcdir "${CMAKE_SOURCE_DIR}" REALPATH)
get_filename_component(bindir "${CMAKE_BINARY_DIR}" REALPATH)

if("${srcdir}" STREQUAL "${bindir}")
	message("")
	message("ERROR:: in-source builds are disabled!")
	message("Run cmake in a separate build directory:")
	message("$ cmake -S . -B build")
	message("")
	message(FATAL_ERROR "Aborting...")
endif()

# Define library paths and include directories
set(EXPORT_NAMESPACE "${PROJECT_NAME}::")
set(HEADERS SimpleIni.h)

add_library(${PROJECT_NAME} INTERFACE)
add_library(${EXPORT_NAMESPACE}${PROJECT_NAME} ALIAS ${PROJECT_NAME})

target_include_directories(${PROJECT_NAME} INTERFACE .)

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libsimpleini
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends: dpkg-dev (>= 1.22.5),
+Maintainer: Yangfl <mmyangfl@gmail.com>
+Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
  libicu-dev,
@@ -20,7 +19,7 @@
 Architecture: any
 Depends:
  libicu-dev,
- libsimpleini1t64 (= ${binary:Version}),
+ libsimpleini1 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: C++ library for INI-style configuration files (development files)
@@ -31,10 +30,7 @@
  .
  This package contains the header files.
 
-Package: libsimpleini1t64
-Provides: ${t64:Provides}
-Replaces: libsimpleini1
-Breaks: libsimpleini1 (<< ${source:Version})
+Package: libsimpleini1
 Architecture: any
 Depends:
  ${misc:Depends},

## libsimpleini 4.22+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(
 	SimpleIni
-	VERSION 4.20
+	VERSION 4.22
 	DESCRIPTION "Cross-platform C++ library providing a simple API to read and write INI-style configuration files"
 	LANGUAGES CXX
 )
@@ -12,6 +12,8 @@
 else()
 	set(IS_TOPLEVEL_PROJECT FALSE)
 endif()
+
+option(SIMPLEINI_USE_SYSTEM_GTEST "Use system GoogleTest dependency" OFF)
 
 # Disable in-source builds:
 get_filename_component(srcdir "${CMAKE_SOURCE_DIR}" REALPATH)
@@ -33,5 +35,39 @@
 add_library(${PROJECT_NAME} INTERFACE)
 add_library(${EXPORT_NAMESPACE}${PROJECT_NAME} ALIAS ${PROJECT_NAME})
 
-target_include_directories(${PROJECT_NAME} INTERFACE .)
+include(GNUInstallDirs)
 
+include(CMakePackageConfigHelpers)
+write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+	VERSION ${PROJECT_VERSION}
+	COMPATIBILITY SameMajorVersion
+)
+configure_package_config_file(${PROJECT_NAME}Config.cmake.in
+	${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
+	INSTALL_DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}
+)
+
+install(FILES SimpleIni.h
+	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}
+)
+
+install(TARGETS ${PROJECT_NAME}
+	EXPORT ${PROJECT_NAME}Targets
+)
+
+install(FILES
+		${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
+		${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+	DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}
+)
+install(EXPORT ${PROJECT_NAME}Targets
+	DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}
+	NAMESPACE EXPORT_NAMESPACE
+)
+
+target_include_directories(${PROJECT_NAME} INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
+
+if(IS_TOPLEVEL_PROJECT)
+	enable_testing()
+	add_subdirectory(tests)
+endif()

=== Makefile ===
# This makefile is just to build the automatic test harness
# To use SimpleIni, just include SimpleIni.h header file 

PREFIX?=	/usr/local

TOPTARGETS := all clean test

SUBDIRS := tests

$(TOPTARGETS): $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

.PHONY: $(TOPTARGETS) $(SUBDIRS)

install:
	mkdir -p $(DESTDIR)$(PREFIX)/include/
	install -C -m 644 SimpleIni.h $(DESTDIR)$(PREFIX)/include/

=== tests/CMakeLists.txt ===
if(SIMPLEINI_USE_SYSTEM_GTEST)
	find_package(GTest REQUIRED)
else()
	include(FetchContent)
	FetchContent_Declare(
		googletest
		URL https://github.com/google/googletest/archive/refs/tags/v1.14.0.zip
		URL_HASH SHA1=0ac421f2ec11af38b0fff0f1992184032731a8bc
		DOWNLOAD_EXTRACT_TIMESTAMP ON)
	FetchContent_MakeAvailable(googletest)
endif()

add_executable(tests
	ts-bugfix.cpp
	ts-noconvert.cpp
	ts-quotes.cpp
	ts-roundtrip.cpp
	ts-snippets.cpp
	ts-utf8.cpp)

add_test(NAME tests COMMAND tests)
target_link_libraries(tests PRIVATE ${PROJECT_NAME} GTest::gtest_main)

add_custom_command(
	TARGET tests POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E copy
		${CMAKE_CURRENT_SOURCE_DIR}/example.ini
		${CMAKE_CURRENT_SOURCE_DIR}/tests.ini
		${CMAKE_CURRENT_BINARY_DIR})

=== tests/Makefile ===
CXX?=g++
CXXFLAGS+=-Wall -std=c++14 `pkg-config --cflags gtest_main`
LDFLAGS+=`pkg-config --libs gtest_main`

OBJS=ts-roundtrip.o ts-snippets.o ts-utf8.o ts-bugfix.o ts-quotes.o ts-noconvert.o

BIN=./tests

all: $(BIN)

$(BIN): $(OBJS)
	$(CXX) -o $(BIN) $(OBJS) $(LDFLAGS)

clean:
	rm -f core $(OBJS) $(BIN)

test: $(BIN)
	$(BIN)

$(OBJS): ../SimpleIni.h

=== debian/changelog ===
libsimpleini (4.22+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2

  [ Matthias Klose ]
  * Drop the -std=c++14 from the tests Makefile. (Closes: #1092318)

 -- Yangfl <mmyangfl@gmail.com>  Fri, 14 Mar 2025 09:31:49 +0800

libsimpleini (4.22+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1072623)
  * Fix fail to build source after successful build (Closes: #1045267)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Fri, 07 Jun 2024 22:12:16 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libsimpleini
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  pkg-config,
  libicu-dev,
  pkg-kde-tools,
  libgtest-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/brofield/simpleini
 Vcs-Git: https://salsa.debian.org/yangfl-guest/simpleini.git
@@ -19,7 +19,7 @@
 Architecture: any
 Depends:
  libicu-dev,
- libsimpleini1 (= ${binary:Version}),
+ libsimpleini1t64 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: C++ library for INI-style configuration files (development files)
@@ -30,7 +30,10 @@
  .
  This package contains the header files.
 
-Package: libsimpleini1
+Package: libsimpleini1t64
+Provides: ${t64:Provides}
+Replaces: libsimpleini1
+Breaks: libsimpleini1 (<< ${source:Version})
 Architecture: any
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic

=== debian/tests/control ===
Tests: unittest.sh
Depends: @builddeps@, libsimpleini-dev

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+dfsg,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%simpleini-$1.tar.gz%" \
   https://github.com/brofield/simpleini/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libsimpleini 4.25+dfsg

=== debian/changelog ===
libsimpleini (4.25+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Thu, 27 Nov 2025 21:29:48 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  libicu-dev,
  pkg-kde-tools,
  libgtest-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/brofield/simpleini

=== debian/tests/control ===
Tests: unittest.sh
Depends: @builddeps@, libsimpleini-dev
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: brofield
Project: simpleini
Dversion-Mangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg
